/*
 * Copyright (C) 2018 AT&T Intellectual Property. All rights reserved
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.  See <http://www.fsf.org/copyleft/gpl.txt>.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 */

/**
 * @defgroup ext_fetcher_p curl
 * @ingroup plugins
 *
 * @defgroup ext_fetcher_plugin ext_fetcher_plugin
 * @{ @ingroup ext_fetcher_p
 */

#ifndef EXT_PLUGIN_H_
#define EXT_PLUGIN_H_

#include <plugins/plugin.h>

typedef struct ext_fetcher_plugin_t ext_fetcher_plugin_t;

/**
 * Plugin implementing fetcher interface using libcurl http library.
 */
struct ext_fetcher_plugin_t {

	/**
	 * implements plugin interface
	 */
	plugin_t plugin;
};

#endif /** EXT_PLUGIN_H_ @}*/
