/*
 * Copyright (C) 2018 AT&T Intellectual Property. All rights reserved
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.  See <http://www.fsf.org/copyleft/gpl.txt>.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 */

/**
 * @defgroup ext_fetcher ext_fetcher
 * @{ @ingroup ext_p
 */

#ifndef EXT_FETCHER_H_
#define EXT_FETCHER_H_

typedef struct ext_fetcher_t ext_fetcher_t;

/**
 * Fetcher implementation using libcurl
 */
struct ext_fetcher_t {

	/**
	 * Implements fetcher interface
	 */
	fetcher_t interface;
};

/**
 * Create a ext_fetcher instance.
 */
ext_fetcher_t *ext_fetcher_create();

#endif /** EXT_FETCHER_H_ @}*/
